| Home | Libraries | People | FAQ | More

## Struct template divides_assign

boost::proto::divides_assign — A metafunction for generating divides-assign expression types, a grammar element for matching divides-assign expressions, and a PrimitiveTransform that dispatches to the `proto::pass_through<>` transform.

## Synopsis

    // In header: <boost/proto/traits.hpp>

    template<typename T, typename U>
    struct divides_assign :  proto::transform< divides_assign<T, U> > {
      // types
      typedef proto::expr< proto::tag::divides_assign, proto::list2< T, U > >       type;
      typedef proto::basic_expr< proto::tag::divides_assign, proto::list2< T, U > > proto_grammar;

      // member classes/structs/unions
      template<typename Expr, typename State, typename Data>
      struct impl :
         proto::pass_through<divides_assign>::template impl<Expr, State, Data>
      {
      };
    };

## Description